package bll

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IChatSession ChatSession业务逻辑接口
type IChatSession interface {
	// 查询数据
	Query(ctx context.Context, params schema.ChatSessionQueryParam, opts ...schema.ChatSessionQueryOptions) (*schema.ChatSessionQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.ChatSessionQueryOptions) (*schema.ChatSession, error)
	// 创建数据
	Create(ctx context.Context, item schema.ChatSession) (*schema.ChatSession, error)
	// 移动端创建
	H5Create(ctx context.Context, item schema.ChatSession) (*schema.ChatSession, error)
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.ChatSession) (*schema.ChatSession, error)
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
}
